@17140@
@13830@
@13245@
@13635@
@13440@
@13245@

Modified by Robert H”hne to be used for RHIDE.

@13245@
@13245@
@14024@

@14828@
@14852@
@14348@
@14141@
@16849@
@16751@
@16727@
@16745@

TFilterValidator::TFilterValidator() :
  TValidator(),
  ValidChars(NULL)
@23372@
@24151@

TFilterValidator::TFilterValidator(const char * chars) :
  TValidator()
@23372@
  ValidChars = new char[strlen(chars)+1];
  strcpy(ValidChars,chars);
@24151@

@19355@
@23372@
  delete ValidChars;
@24151@

Boolean TFilterValidator::IsValid(const char *S)
@23372@
  int i=0;
  while (S[i])
@12966@
    if (!strchr(ValidChars,S[i])) return False;
@08491@
@12978@
@12886@
@24151@

Boolean TFilterValidator::IsValidInput(char *S,Boolean)
@23372@
  return TFilterValidator::IsValid(S);
@24151@

void TFilterValidator::Error()
@23372@
  messageBox(_("Invalid character in input"),mfError | mfOKButton);
@24151@

#if !defined( NO_STREAM )
TFilterValidator::TFilterValidator(StreamableInit) :
  TValidator(streamableInit)
@23372@
@24151@

TStreamable * TFilterValidator::build()
@23372@
  return (TStreamable *) new TFilterValidator(streamableInit);
@24151@

void TFilterValidator::write(opstream & os)
@23372@
@12685@
  os.writeString(ValidChars);
@24151@

void * TFilterValidator::read(ipstream & is)
@23372@
@12682@
  ValidChars = is.readString();
@12904@
@24151@
#endif // NO_STREAM

